<?php

namespace App\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Attribute\Route;
use Symfony\Component\HttpFoundation\Request;
use function App\Repository\uniqElements;

class UniqElementsController extends AbstractController
{
    #[Route('/uniq/elements', name: 'app_uniq_elements')]
    public function index(Request $request): Response
    {
        $requestArray = $request->toArray();

        $return = uniqElements($requestArray);

        return new JsonResponse($return, Response::HTTP_OK);
    }
}
