<?php
namespace App\Repository;
/**
 * Удалить дубликаты, оставив только уникальные значения
 * @param array $array
 * @return array
 */
function uniqElements(array $array): array {
    $splitedArray = [];

    foreach ($array as $tuple) {
        $key = $tuple[0];
        $item = $tuple[1];
        $splitedArray[$key][] = $item;
    }

    $returnableArray = [];
    foreach ($splitedArray as $key => $item){
        $item = array_unique($item);
        foreach ($item as $oneOfItem){
            $returnableArray[] = [
                $key,
                $oneOfItem
            ];
        }
    }

    return $returnableArray;
}
